--------------------------------------------------------------------------
-- GTFO_Spells_BC.lua 
--------------------------------------------------------------------------
--[[
GTFO Spell List - Burning Crusade
Author: Zensunim of Malygos

Change Log:
	v0.2
		- Added Spells
	v1.0.1
		- Replaced some spell names with spell IDs
	v1.1
		- Replaced some spell names with spell IDs
	v2.5
		- Split spell files into sections
	v2.9.1
		- Added Omor the Unscarred's Treacherous Aura
		- Added Omor the Unscarred's Bane of Treachery
		- Added Broggok's Poison
	v3.0
		- Moved Netherspite's Void Zone (from Generic)
		- Added Shade of Aran's Blizzard
		- Added Nightbane's Charred Earth
	v3.0.1
		- Added Hungarfen's Foul Spores
		- Added Hydromancer Thespia's Lightning Cloud
		- Added Grandmaster Vorpil's Rain of Fire
		- Added Gatewatcher Iron-Hand's Jackhammer
		- Added Lieutenant Drake's Whirlwind
		- Added Captain Skarloc's Consecration
		- Added Rage Winterchill's Death and Decay
		- Added Azgalor's Rain of Fire
		- Added Archimonde's Doomfire		
		- Added Supremus's Molten Flame
		- Added Supremus's Volcanic Geyser
		- Added Ashtongue Elementalist's Rain of Fire
	v3.1
		- Updated Omor the Unscarred's Treacherous Aura to use Friendly Fire
		- Updated Omor the Unscarred's Bane of Treachery to use Friendly Fire
		
]]--

GTFO.SpellID["40611"] = {
	--desc = "Blaze (Illidan)";
	sound = 1;
};

GTFO.SpellID["41482"] = {
	--desc = "Blizzard (Illidari Council)";
	sound = 1;
};

GTFO.SpellID["41481"] = {
	--desc = "Flamestrike (Illidari Council)";
	sound = 1;
};

GTFO.SpellID["41541"] = {
	--desc = "Consecration (Illidari Council)";
	sound = 1;
};

GTFO.SpellID["28865"] = {
	--desc = "Consumption (Netherspite)";
	sound = 1;
};

GTFO.SpellID["31944"] = {
	--desc = "Doomfire (Archimonde)";
	sound = 1;
};

GTFO.SpellID["30129"] = {
	--desc = "Charred Earth (Nightbane)";
	sound = 1;
};

GTFO.SpellID["50746"] = {
	--desc = "Burn (Illidan)";
	sound = 1;
};

GTFO.SpellID["51103"] = {
	--desc = "Frostbomb (Mage-Lord Urom)";
	sound = 2;
};

GTFO.SpellID["56926"] = {
	--desc = "Thundershock (Jedoga Shadowseeker)";
	sound = 1;
};

GTFO.SpellID["60029"] = {
	--desc = "Thundershock (Jedoga Shadowseeker - Heroic)";
	sound = 1;
};

GTFO.SpellID["37469"] = {
	--desc = "Poison Cloud (Orc Warlock - Karazhan)";
	sound = 1;
};

GTFO.SpellID["30697"] = {
	--desc = "Treacherous Aura (Omor the Unscarred - Hellfire Ramparts)";
	ignoreSelfInflicted = true;
	sound = 4;
};

GTFO.SpellID["39298"] = {
	--desc = "Bane of Treachery (Omor the Unscarred - Hellfire Ramparts - Heroic)";
	ignoreSelfInflicted = true;
	sound = 4;
};

GTFO.SpellID["30915"] = {
	--desc = "Poison (Broggok - Blood Furnace)";
	sound = 1;
};

GTFO.SpellID["40657"] = {
	--desc = "Ancient Flames (Terokk)";
	sound = 1;
};

GTFO.SpellID["30533"] = {
	--desc = "Void Zone (Netherspite - Karazhan)";
	sound = 1;
	test = true;
};

GTFO.SpellID["29951"] = {
	--desc = "Blizzard (Shade of Aran - Karazhan)";
	sound = 1;
	test = true;
};

GTFO.SpellID["30129"] = {
	--desc = "Charred Earth (Nightbane - Karazhan)";
	sound = 1;
	test = true;
};

GTFO.SpellID["31697"] = {
	--desc = "Foul Spores (Hungarfen - Underbog)";
	sound = 1;
	trivialLevel = 85;
};

GTFO.SpellID["25033"] = {
	--desc = "Lightning Cloud (Hydromancer Thespia - Steam Vaults)";
	sound = 1;
	trivialLevel = 85;
};

GTFO.SpellID["33617"] = {
	--desc = "Rain of Fire (Grandmaster Vorpil - Shadow Labyrinth)";
	sound = 1;
	trivialLevel = 85;
	test = true;
};

GTFO.SpellID["39363"] = {
	--desc = "Rain of Fire (Grandmaster Vorpil - Shadow Labyrinth - Heroic)";
	sound = 1;
	trivialLevel = 85;
	test = true;
};

GTFO.SpellID["35330"] = {
	--desc = "Jackhammer (Gatewatcher Iron-Hand - Mechanar)";
	sound = 1;
	trivialLevel = 85;
	test = true;
};

GTFO.SpellID["39195"] = {
	--desc = "Jackhammer (Gatewatcher Iron-Hand - Mechanar - Heroic)";
	sound = 1;
	trivialLevel = 85;
	test = true;
};

GTFO.SpellID["31910"] = {
	--desc = "Whirlwind (Lieutenant Drake - CoT:OHF)";
	sound = 1;
	tankSound = 0;
	trivialLevel = 85;
	test = true;
};

GTFO.SpellID["38385"] = {
	--desc = "Consecration (Captain Skarloc - CoT:OHF)";
	sound = 2;
	trivialLevel = 85;
	test = true;
};

GTFO.SpellID["31258"] = {
	--desc = "Death & Decay (Rage Winterchill - CoT:HS)";
	sound = 1;
	test = true;
};

GTFO.SpellID["31340"] = {
	--desc = "Rain of Fire (Azgalor - CoT:HS)";
	sound = 1;
	test = true;
};

GTFO.SpellID["31944"] = {
	--desc = "Doomfire (Archimonde - CoT:HS)";
	sound = 1;
	applicationOnly = true;
	test = true;
};

GTFO.SpellID["40265"] = {
	--desc = "Molten Flame (Supremus - Black Temple)";
	sound = 1;
	test = true;
};

GTFO.SpellID["42052"] = {
	--desc = "Volcanic Geyser (Supremus - Black Temple)";
	sound = 1;
	test = true;
};

GTFO.SpellID["42023"] = {
	--desc = "Rain of Fire (Ashtongue Elementalist - Black Temple)";
	sound = 2;
	test = true;
};

GTFO.SpellID["32302"] = {
	--desc = "Focus Fire (Shirrak the Dead Watcher - Auchenai Crypts)";
	sound = 1;
	trivialLevel = 85;
};

GTFO.SpellID["38382"] = {
	--desc = "Focus Fire (Shirrak the Dead Watcher - Auchenai Crypts - Heroic)";
	sound = 1;
	trivialLevel = 85;
};
